#ifndef WATER_RESERVOIR_H
#define WATER_RESERVOIR_H

// the common headers for C99 types 
#include <stdint.h>
#include <stdbool.h>
#include "ES_Configure.h"
#include "ES_Events.h"
#include "ES_Types.h"    /* gets bool type for returns */

#define ALL_BITS (0xff<<2)

// typedefs for the states in the spigot state machine
// State definitions for use with the query function
typedef enum {  InitialWaterReservoir,
								WaitingForGameStart,
								WaitingForSpigots,
								WaitingForLever} WaterReservoirState_t ;

//Public function prototypes
bool InitWaterReservoir (uint8_t Priority);
bool PostWaterReservoir( ES_Event ThisEvent );
void DecrementLED(void);
bool CheckWater(void); 
void EmptyReservoir(void);
//bool CheckWaterReservoirEvents(void);
ES_Event RunWaterReservoir(ES_Event ThisEvent);
#endif //WATER_RESERVOIR_H
